Karia
ReferencesOpenapiInvoice

List invoices

GET
/organisation/{orgId}/workspace/{workspaceId}/invoice

List invoices in the specified organisation and workspace, with optional search, status, type, and pagination filters.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
search?string
status?string
type?string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 50
Default10

Response Body

Successful response

application/json
  1. response
items*array<>
pagination*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/invoice'
Example Response
{  "items": [    {      "id": 0,      "referenceId": "string",      "name": "string",      "description": "string",      "status": "string",      "type": "string",      "frequency": "string",      "totalAmountDueExGst": "string",      "totalAmountDueGst": "string",      "totalAmountPaid": "string",      "dueDate": "string",      "createdAt": "string"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}